Get started

API Endpoint https://wa-api.blipcom.id

Blipcom Whatsapp API is Application Programming Interfaces (APIs) for enables your application to integrate with whatsapp services. Blipcom Whatsapp API is helping your company to Reach customers on WhatsApp with unrivaled scale and connectivity.

Authentication


    curl \
    -X POST https://wa-api.blipcom.id/token \
    -F 'grant_type=client_credentials' \
    -F 'client_id=your_clinet_id' \
    -H 'client_secret=your_client_secret' \
                    

Blipcom Whatsapp API uses the OAuth 2 Authorization Framework to grant a third-party access to user accounts on an HTTP service. Before requesting our API, you have to retrieve a token by calling the Get Token endpoint. To get authorization you need to make a POST call to the following url :
https://wa-api.blipcom.id/token



    Response example :
    {
        "accessToken": "p5UO6PKzs0snVbFUTRrh4B87212Y7dflcSHzUIhyKi",
        "expiresIn": 900, 
        "responseCode": "2007300",
        "responseMessage": "Successful", 
        "tokenType": "Bearer"
    }
                    

GET | Find Session


    curl --location 'https://wa-api.blipcom.id/api/v1/whatsapp/find/BLIPCOM' \
    --header 'Content-Type: application/json' \
    --header 'Authorization: Bearer sPQRjDMdd2hgc8Tfd5yguNCX12GioZKrnGDavMiHPo'

Find a session.
https://wa-api.blipcom.id/api/v1/whatsapp/find/:id

PATH VARIABLES DESCRIPTION
id Your created session id.

    Find session response :
    {
        "message_action": "GET_WHATSAPP_SESSION_SUCCESS",
        "message_code": 200,
        "message_data": {
            "responseCode": "00",
            "responseDescription": "Session found.",
            "status": true,
            "status_code": 200
        },
        "message_desc": "GET INFORMATION WHATSAPP SESSION",
        "message_id": "API_CALL_172100788984449_1780797"
    }
                    

POST | Add Session


curl --location 'https://wa-api.blipcom.id/api/v1/whatsapp/sessions/add' \
--header 'Authorization: Bearer hwU50834NQfYQaqqGaoRc5yurIewU4ay3st2PoiCJA' \
--header 'Content-Type: application/json' \
--data '{
    "id": "BLIPCOM",
    "phone_number":"628195555205"
}'

Add session.
https://wa-api.blipcom.id/api/v1/whatsapp/add

Header Structure
Key Value Mandatory Desc
Content-Type application/json Yes  
Authorization Bearer {token} Yes Access Token
Request Structure
Field Data Type Mandatory Desc
id String Yes Your session id.

Add session response :
{
    "message_action": "ADD_WHATSAPP_SESSION_SUCCESS",
    "message_code": "4008001",
    "message_data": {
        "status": True,
        "responseCode": "00",
        "responseDescription": "QR code received, please scan the QR code.",
        "qr": whatsapp_pairing_qr_code
    },
    "message_desc": "GET INFORMATION WHATSAPP SESSION",
    "message_id": "API_CALL_172100788984449_1780797"
}
                

ERRORS

The Blipcom Whatsapp API uses the following error codes:

HTTP Status Service
Code
Case Code Response Message Status
200 24 00 Success Success
400 24 01 Failed WHATSAPP ID REQUIRED
400 24 02 Failed WHATSAPP SESSION NOT FOUND
400 24 03 Failed Whatsapp ID / Phone Number required